package com.zehong.system.mapper;

import java.util.List;
import com.zehong.system.domain.TRiskManager;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author zehong
 * @date 2022-07-01
 */
public interface TRiskManagerMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public TRiskManager selectTRiskManagerById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param tRiskManager 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<TRiskManager> selectTRiskManagerList(TRiskManager tRiskManager);

    /**
     * 新增【请填写功能名称】
     * 
     * @param tRiskManager 【请填写功能名称】
     * @return 结果
     */
    public int insertTRiskManager(TRiskManager tRiskManager);

    /**
     * 修改【请填写功能名称】
     * 
     * @param tRiskManager 【请填写功能名称】
     * @return 结果
     */
    public int updateTRiskManager(TRiskManager tRiskManager);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteTRiskManagerById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteTRiskManagerByIds(Long[] ids);
}
